Skip to main content
PUT
Update a Specific AI Agent by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string
required

ID of the agent

Body

application/json
name
string
required

Name of the AI agent

Required string length: 1 - 512
Example:

"HelperBot"

imageUrl
string
required

Image URL for the AI agent

Required string length: 1 - 512
Example:

"http://example.com/agent.png"

status
enum<string>
required

Status of the AI agent

Available options:
active,
inactive
role
string
required

Role of the AI agent in the company

Required string length: 1 - 512
Example:

"Customer Support"

roleDescription
string
required

Description of the role of the AI agent

Minimum string length: 1
Example:

"Handles customer inquiries and support tasks"

timezone
string
required

Timezone of the AI agent used for scheduling meetings

Required string length: 1 - 512
Example:

"America/New_York"

mission
Mission · object | null

Mission of the AI agent

voice
Voice · object | null

Voice of the AI agent

Response

AI Agent updated successfully

AI agent configured by businesses

id
string
orgId
string
name
string
imageUrl
string
mission
Mission · object | null
role
string
roleDescription
string
transcriber
Transcriber · object | null
intelligenceProvider
IntelligenceProvider · object | null
voice
Voice · object | null
status
string
timezone
string
createdBy
string
createdAt
string<date-time>
updatedBy
string
updatedAt
string<date-time>